> ## Documentation Index
> Fetch the complete documentation index at: https://docs.inop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Title By ID

> Get a single job title based on the ID supplied



## OpenAPI

````yaml GET /titles/{id}
openapi: 3.1.0
info:
  title: INOP
  description: >-
    INOP API provides a powerful suite of endpoints designed to streamline and
    enhance the candidate screening process using AI-driven insights.
  license:
    name: MIT
    identifier: ''
  version: 1.0.0
servers:
  - url: https://public.api.inop.ai/v1/
security:
  - bearerAuth: []
paths:
  /titles/{id}:
    get:
      description: Get a single job title based on the ID supplied
      parameters:
        - name: id
          in: path
          description: ID of job title to get
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Retrieved job title
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    default: true
                  messages:
                    type: string
                    default: Details of a job title
                  date:
                    type: object
                    default:
                      id: d1ae83a0-0bd2-5354-8c0e-1eefbbe1131e
                      name: Data Scientist
                      career_group: AI & Data Management
                      mapping:
                        names: []
                        skills: []
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````